gclib  1.36.3
Communications API for Galil controllers and PLCs
Installation

Supported Operating Systems

  • Most versions are 64 bit (x64). A 32 bit (x86) version of gclib is also available on Windows.
  • Older operating systems are listed along with the last Galil builds. On Linux, install these packages in this order gclib -> gcapsd -> GDK.
Microsoft Windows
10
8.1, No Galil Connect
Older VersionsgclibgcapsGDK
7245.331.4801.0.0.1511.0.24.655

Ubuntu
20.04
18.04
Older Versions gclibgcapsGDK
16.04 200.252.3961.0.0.1301.0.7.353
14.04 189.224.370
12.04 130.114.278

Red Hat and CentOS
Red Hat 8 & CentOS 8 Linux
Red Hat 7 & CentOS 7 Linux
Older Versions gclibgcapsGDK
Red Hat 6 & CentOS 6 Linux 147.185.319

Fedora
32
31
Older Versions gclibgcapsGDK
30 267.339.5281.0.0.2101.0.25.696
29 239.316.4481.0.0.1491.0.18.601
28 222.301.4231.0.0.1431.0.13.526
27 200.252.3961.0.0.1301.0.7.353
26 195.232.3871.0.0.1281.0.5.307
25 194.232.3861.0.0.1281.0.5.305
24 189.224.3701.0.0.1241.0.4.276
23 154.190.3291.0.0.68
22 130.114.278
21 130.114.278

Raspberry Pi
Buster, Raspberry Pi 4
Stretch, Raspberry Pi 3+
Older Versions gclibgcapsGDK
Jessie, Raspberry Pi 2 194.232.386

Apple
Older Versions gclibgcapsGDK
Yosemite 189.220.368